/****************************************************************************************\

	#GENERAL AND BOOTSTRAP AND PAPER OVERRIDES

\****************************************************************************************/

body {
	background: #34495e;
}

input.form-control ,textarea.form-control, div.form-control {
	border: 1px solid #d6d6d6 !important;
	font-size: 12px !important;
	padding: 5px !important;
	-webkit-border-radius: 0 !important;
	-moz-border-radius: 0 !important;
	-o-border-radius: 0 !important;
	-ms-border-radius: 0 !important;
	border-radius: 0 !important;
	background-color: #fff;
}

.form-control[disabled], .form-control[readonly], fieldset[disabled] .form-control {
    background-color: #eee;
    opacity: 1;
}

select.form-control {
	border: 1px solid #d6d6d6 !important;
	font-size: 12px !important;
	padding-left: 10px;
	padding-right: 10px;
}

label.label-left {
	text-align: left !important;
}

#page-wrapper {
	background-color: #ecf0f1 !important;
	padding-bottom: 30px;
}

.navbar a {
	color: #7a8586 !important;
}

.navbar-brand img {
	width: 30px;
}

.panel-heading {
	padding: 15px 20px;
}

.sidebar {
    margin-top: 65px !important;
}

.page-header {
	margin: 30px 0 23px !important;
}

.navbar-top-links li a {
	line-height: 35px;
}

.sidebar {
	background-color: #34495e;
}

	.sidebar ul li a.active{
	    background-color: #243342 !important;
	}

	.sidebar ul li a:hover, .sidebar ul li a:focus{
		background-color: #2c3f52 !important;
	}

.sidebar ul li {
    border-bottom: none !important;
}

.sidebar ul > li > a {
    color: #ffffff !important;
	/*text-transform: uppercase;*/
}

.sidebar ul:not(.nav-second-level) > li > a {
    color: #ffffff !important;
    padding: 5px 20px;
}

.sidebar .nav-second-level li a {
    padding-left: 58px !important;
}

.sidebar ul li a i {
	font-size: 18px;
	margin-right: 10px;
}

.sidebar ul li a > span {
    font-size: 14px;
    line-height: 26px;
}

.page-header {
	border-bottom: 1px dashed #c7cbcc;
}

.page-header small {
	font-size: 14px;
}

.stylish-input-group .input-group-addon{
    background: transparent !important; 
    border: 1px solid #d6d6d6;
    border-left: 0 !important;
}
.stylish-input-group .form-control{
    border-right:0 !important; 
	box-shadow:0 0 0; 
	border-color:#ccc;
}
.stylish-input-group button{
    border:0;
    background:transparent;
}

.input-group-addon {
	box-shadow: inset 0 -1px 0 #ddd;
	border: 1px solid #d6d6d6 !important;
	background: #ededed;
}

.project {

}

.project .project-heading {
	padding: 5px 10px;
	font-size: 14px;
}

.project-icon img {
	width: 80px;
}

.project .project-footer {
	padding: 0 15px;
}

.project .project-footer .row > div {
	padding: 10px;
	text-align: center;
	min-height: 65px;
}

.project .project-footer .row > div:first-child {
	border-right: 1px solid #ccc;
}

.project-actions {
	margin-top: 10px;
}

.project-logo-uploader {
	width: 0.1px;
	height: 0.1px;
	opacity: 0;
	overflow: hidden;
	position: absolute;
	z-index: -1;
}

.add-control-container > .add-control:not(:first-child) {
	margin-left: 10px;
}

.add-control-container > .add-control-item:not(:first-child) {
	margin-left: 10px;
}

.add-control {
	width: 150px;
	height: 150px;
	text-align: center;
	border: 1px dashed #d5d5d5;
	display: block;
	margin-bottom: 10px;
	float: left;
}

.add-control:hover {
	border: 1px dashed #777;
}

.add-control i {
	color: #999;
	font-size: 70px;
	line-height: 150px;

	-webkit-transition: color 0.5s;
	-moz-transition: color 0.5s;
	-o-transition: color 0.5s;
	-ms-transition: color 0.5s;
	transition: color 0.5s;
}

.add-control:hover i {
	color: #0d87e9;
}

.add-control-item {
	width: 150px;
	height: 150px;
	text-align: center;
	border: 1px solid #d5d5d5;
	display: block;
	overflow: hidden;
	float: left;
}

.add-control-item-label {

}

.add-control-item:hover .add-control-item-overlay {
	opacity: 1;
}

.add-control-item-overlay {
	background: #000;
	position: absolute;
	top: 0;
	width: 150px;
	height: 150px;
	background-color: rgba(0,0,0,0.5);

	opacity: 0;

	-webkit-transition: opacity 0.5s;
	-moz-transition: opacity 0.5s;
	-o-transition: opacity 0.5s;
	-ms-transition: opacity 0.5s;
	transition: opacity 0.5s;
}

.add-control-item-overlay a {
	color: #fff;
	line-height: 150px;
	font-size: 60px;
}

.add-control-item:hover {
	
}

.add-control-item img {
	width: 100%;
}

.nav-tabs.nav-paper >li.active>a, .nav-tabs.nav-paper>li.active>a:focus {
	color: #ffffff;
	background: #2196f3;
}

/************** Large Bootstrap Modals **********************/

/* .modal-transparent */

.modal-transparent {
  background: transparent;
}
.modal-transparent .modal-content {
  background: transparent;
}
.modal-backdrop.modal-backdrop-transparent {
  background: #ffffff;
}
.modal-backdrop.modal-backdrop-transparent.in {
  opacity: .9;
  filter: alpha(opacity=90);
}


/************** Modification for Bootstrap Tagsinput *****************/

.bootstrap-tagsinput { 
	width: 100%;
	-webkit-border-radius: 0;
	-moz-border-radius: 0;
	-o-border-radius: 0;
	-ms-border-radius: 0;
	border-radius: 0;
	border: 1px solid #d6d6d6;

	padding: 8px 5px !important;

	webkit-transition: border-color ease-in-out .15s,-webkit-box-shadow ease-in-out .15s;
    -o-transition: border-color ease-in-out .15s,box-shadow ease-in-out .15s;
    transition: border-color ease-in-out .15s,box-shadow ease-in-out .15s;
}

.bootstrap-tagsinput:hover {
	-webkit-box-shadow: inset 0 -2px 0 #2196f3;
	-moz-box-shadow: inset 0 -2px 0 #2196f3;
	-o-box-shadow: inset 0 -2px 0 #2196f3;
	-ms-box-shadow: inset 0 -2px 0 #2196f3;
	box-shadow: inset 0 -2px 0 #2196f3;
}

.bootstrap-tagsinput input {
	padding: 0 !important;
	border: 0 !important;
	font-size: 12px;
}

.file-caption {
	webkit-transition: border-color ease-in-out .15s,-webkit-box-shadow ease-in-out .15s;
    -o-transition: border-color ease-in-out .15s,box-shadow ease-in-out .15s;
    transition: border-color ease-in-out .15s,box-shadow ease-in-out .15s;
}

.file-caption:hover {
	-webkit-box-shadow: inset 0 -2px 0 #2196f3;
	-moz-box-shadow: inset 0 -2px 0 #2196f3;
	-o-box-shadow: inset 0 -2px 0 #2196f3;
	-ms-box-shadow: inset 0 -2px 0 #2196f3;
	box-shadow: inset 0 -2px 0 #2196f3;
}

/********************* multiselect modification ********************/

.ms-container .ms-list {
	border-radius: 0 !important;
}

.ms-container .ms-selectable li.ms-elem-selectable, .ms-container .ms-selection li.ms-elem-selection {
	font-size: 12px;
}

.ms-container .ms-list.ms-focus {
	border: 1px solid #d6d6d6;
}

.ms-container .ms-list:hover {
	-webkit-box-shadow: inset 0 -2px 0 #2196f3;
	-moz-box-shadow: inset 0 -2px 0 #2196f3;
	-o-box-shadow: inset 0 -2px 0 #2196f3;
	-ms-box-shadow: inset 0 -2px 0 #2196f3;
	box-shadow: inset 0 -2px 0 #2196f3;
}

/******************** select2 Modification *******************/

.select2-container--default .select2-selection--single {
	border-radius: 0;
	border: 1px solid #d6d6d6;
	height: 38px;
}

.select2-container--default .select2-selection--single .select2-selection__rendered {
	line-height: 37px !important;
}

.select2-container--default .select2-selection--single .select2-selection__arrow b {
	margin-top: 2px;
}

/*********************************************************\
#BOOTSTRAP EXTENSIONS
\*********************************************************/

.label-required:after {
    content: ' *';
    color: #e51c23;
}

.input-file-hidden {
	width: 0.1px;
	height: 0.1px;
	opacity: 0;
	overflow: hidden;
	position: absolute;
	z-index: -1;
}

.input-file-hidden + label {
	cursor: pointer; /* "hand" cursor */
}

.image-center-wrapper {
	position: relative;
	overflow: hidden;
	width: 150px;
	height: 150px;
	margin: 0 auto;
}

.image-center-wrapper img {
	width: 100%;
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
}

.ion-lg {
    font-size: 65px;
    display: inline-block;
    text-rendering: auto;
    margin-top: -15px;
}

.serino-loading,
.serino-error {
    min-width: 150px;
    min-height: 150px;
    position: relative !important;
}

.serino-loading:after {
    content: ' ';
    background: url('../img/loader.gif') no-repeat rgba(255,255,255,0.8) center;
    background-size: 50px;
    display: block;
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    z-index: 100;
}

.serino-error:after {
    content: 'Oops. We\'re sorry, but something went wrong.';
    background-color: rgba(255,255,255,0.8);
    background-size: 50px;
    display: block;
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    z-index: 100;
    text-align: center;
}

/* Datatables collapse icons */
td.details-control {
    background: url('../img/details_open.png') no-repeat center center;
    cursor: pointer;
}
tr.shown td.details-control {
    background: url('../img/details_close.png') no-repeat center center;
}

/*Projects*/
.side-nav-tabs{
    float: left;
    width: 60px;
    border-bottom: 0px;
}
.side-nav-tabs li{
    width:100%;
}
.side-nav-tabs li a{
	border-radius: 3px 0px 0px 3px;
}
.side-tab-content{
	width: calc(100% - 60px);
    float: right;
}

.project-status{
	position: relative;
    width: auto;
    margin: 0px auto;
}
.project-status-circle{
	width: 10px;
    height: 10px;
    position: absolute;
    left: -14px;
    top: 5px;
    border-radius: 100%;
    border: 1px solid;
}
.project-status-circle.in-progress{
	background-color: #ff9800;
}
.project-status-circle.not-started{
	background-color: #ccc;
}
.project-status-circle.cancelled{
	background-color: #e51c23;
}
.project-status-circle.completed{
	background-color: #4caf50;
}
.project-status-circle.discontinued{
	background-color: #9c27b0;
}

/*Add ons*/
#side-menu>li.header {
    color: #fff;
    /*background: #455669;*/
    padding: 25px 10px 0px 10px;
}